## libkdegames 18.04.0

=== debian/changelog ===
libkdegames (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update symbols files.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.
  * Run the test suite at build time:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run
  * Remove the unused & no more useful autopkgtest stuff.
  * Do not install the upstream README file as documentation in
    kdegames-card-data-kf5, as it is not useful.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 09:57:46 +0200

libkdegames (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.
  * Tighten the inter-library dependencies.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:30:14 +0100

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.3.0~),
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5dnssd-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5service-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libopenal-dev,
               libqt5svg5-dev (>= 5.4),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev,
         libkf5declarative-dev,
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends},
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-2~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# don't install extra license files
	find debian/tmp \( -name AUTHORS -o -name COPYING -o -name COPYRIGHT \) -print -delete

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5kdegames-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

## libkdegames 18.04.3

=== debian/changelog ===
libkdegames (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:33 +0100

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libopenal-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames

Package: libkf5kdegames7
Architecture: any
Depends: libkf5kdegames-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for KDE games - data files
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.31.0~),
         libkf5declarative-dev (>= 5.31.0~),
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

## libkdegames 18.12.3

=== debian/changelog ===
libkdegames (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:26 +0000

libkdegames (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:26 +0000

libkdegames (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:01 +0000

libkdegames (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install libkdegames.categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:16 +0000

libkdegames (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3).
  * Merge Debian changes. Remaining changes:
    - data package for translations.
    - Kubuntu Vcs fields.
    - Bumped build depends.
    - l10n Breaks/Replaces suitable for Kubuntu.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Dec 2018 08:16:32 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-2~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## libkdegames 19.04.3

=== debian/changelog ===
libkdegames (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:05 +0100

libkdegames (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:32 +0100

libkdegames (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:37 +0100

libkdegames (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 07:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5bookmarks-dev (>= 5.31.0~),
@@ -29,7 +28,6 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
@@ -42,18 +40,19 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+               xauth,
+               xvfb,
+Standards-Version: 4.1.4
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
-Package: libkf5kdegames7
-Architecture: any
-Depends: libkf5kdegames-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: shared library for KDE games
- This package contains a shared library used by KDE games.
+Package: kdegames-card-data-kf5
+Architecture: all
+Section: games
+Depends: ${misc:Depends}
+Description: card decks for KDE games
+ This package contains a collection of playing card themes for KDE card games.
  .
  This package is part of the KDE games module.
 
@@ -63,6 +62,31 @@
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: shared library for KDE games - data files
+ This package contains a shared library used by KDE games.
+ .
+ This package is part of the KDE games module.
+
+Package: libkf5kdegames-dev
+Architecture: any
+Section: libdevel
+Depends: libkf5completion-dev (>= 5.31.0~),
+         libkf5declarative-dev (>= 5.31.0~),
+         libkf5kdegames7 (= ${binary:Version}),
+         libkf5kdegamesprivate1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
+         ${misc:Depends},
+Description: development files for the KDE games library
+ This package contains development files for building software that uses
+ libraries from the KDE games module.
+ .
+ This package is part of the KDE games module.
+
+Package: libkf5kdegames7
+Architecture: any
+Depends: libkf5kdegames-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
  This package is part of the KDE games module.
@@ -85,27 +109,3 @@
  in QML.
  .
  This package is part of the KDE games module.
-
-Package: libkf5kdegames-dev
-Architecture: any
-Section: libdevel
-Depends: libkf5completion-dev (>= 5.31.0~),
-         libkf5declarative-dev (>= 5.31.0~),
-         libkf5kdegames7 (= ${binary:Version}),
-         libkf5kdegamesprivate1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends},
-Description: development files for the KDE games library
- This package contains development files for building software that uses
- libraries from the KDE games module.
- .
- This package is part of the KDE games module.
-
-Package: kdegames-card-data-kf5
-Architecture: all
-Section: games
-Depends: ${misc:Depends}
-Description: card decks for KDE games
- This package contains a collection of playing card themes for KDE card games.
- .
- This package is part of the KDE games module.

## libkdegames 19.08.1

=== debian/changelog ===
libkdegames (4:19.08.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files with the logs of buildds.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Fix the dependencies of libkf5kdegames-dev according to the cmake
    requirements:
    - remove libkf5declarative-dev
    - add libkf5config-dev, libkf5configwidgets-dev, libkf5i18n-dev,
      libkf5widgetsaddons-dev, and qtdeclarative5-dev

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 12:24:36 +0200

libkdegames (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Add some Multi-Arch annotations.
  * Drop the migration from libkf5kdegames-dbg, no more needed after two
    Debian stable releases.
  * Update symbols files.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump Qt packages to 5.9.0
    - bump KF5 packages to 5.46.0
    - remove libkf5kio-dev
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 10:21:41 +0200

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5archive-dev (>= 5.46.0~),
               libkf5bookmarks-dev (>= 5.46.0~),
               libkf5codecs-dev (>= 5.46.0~),
               libkf5completion-dev (>= 5.46.0~),
               libkf5config-dev (>= 5.46.0~),
               libkf5configwidgets-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5crash-dev (>= 5.46.0~),
               libkf5dbusaddons-dev (>= 5.46.0~),
               libkf5declarative-dev (>= 5.46.0~),
               libkf5dnssd-dev (>= 5.46.0~),
               libkf5globalaccel-dev (>= 5.46.0~),
               libkf5guiaddons-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5iconthemes-dev (>= 5.46.0~),
               libkf5itemviews-dev (>= 5.46.0~),
               libkf5jobwidgets-dev (>= 5.46.0~),
               libkf5newstuff-dev (>= 5.46.0~),
               libkf5service-dev (>= 5.46.0~),
               libkf5textwidgets-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libopenal-dev,
               libqt5svg5-dev (>= 5.9.0~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.4.1
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev,
         libkf5config-dev,
         libkf5configwidgets-dev,
         libkf5i18n-dev,
         libkf5widgetsaddons-dev,
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         qtdeclarative5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-2~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# don't install extra license files
	find debian/tmp \( -name AUTHORS -o -name COPYING -o -name COPYRIGHT \) -print -delete

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

## libkdegames 19.12.3

=== CMakeLists.txt ===
enable_testing()

project(libkdegames)

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

set (QT_MIN_VERSION "5.9.0")
set (KF5_MIN_VERSION "5.46.0")


find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config WidgetsAddons Codecs Archive
    DBusAddons DNSSD Declarative
    I18n GuiAddons Service ConfigWidgets ItemViews IconThemes Completion JobWidgets TextWidgets GlobalAccel XmlGui Crash
    Bookmarks NewStuff Completion)

include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DMAKE_KDEGAMESPRIVATE_LIB)
add_definitions(-DTRANSLATION_DOMAIN="libkdegames5")

include_directories(${CMAKE_SOURCE_DIR}/includes)

find_package(OpenAL REQUIRED)
set_package_properties(OPENAL PROPERTIES
                       URL "http://connect.creativelabs.com/openal"
                      )

find_package(SndFile REQUIRED)
set_package_properties(SndFile PROPERTIES
                       URL "http://www.mega-nerd.com/libsndfile/"
                      )

set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")

configure_file(highscore/config-highscore.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/highscore/config-highscore.h )

add_subdirectory( carddecks )
add_subdirectory( declarativeimports )
add_subdirectory( highscore )
add_subdirectory( includes )
add_subdirectory( libkdegamesprivate )
add_subdirectory( tests )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/highscore
    ${CMAKE_CURRENT_BINARY_DIR}/highscore
    # the following only for libkdegamesprivate, but there aren't
    # target-specific include directories
    ${CMAKE_CURRENT_SOURCE_DIR}/libkdegamesprivate/kgame
    ${CMAKE_CURRENT_SOURCE_DIR}/libkdegamesprivate/..
)

option (USE_OPENAL_SNDFILE "use OpenAL and libsndfile in libkdegames" ON)
if (SNDFILE_FOUND AND USE_OPENAL_SNDFILE)
    message(STATUS "Checking libsndfile capabilities")
    try_compile(SNDFILE_WORKS
        ${CMAKE_CURRENT_BINARY_DIR}/audio/check-libsndfile-capabilities
        ${CMAKE_CURRENT_SOURCE_DIR}/audio/check-libsndfile-capabilities.cpp
        CMAKE_FLAGS -DINCLUDE_DIRECTORIES=${SNDFILE_INCLUDE_DIR})
    if (NOT SNDFILE_WORKS)
        message(FATAL_ERROR "Your version of libsndfile (found in " ${SNDFILE_LIBRARIES} ") is too old. At least version 0.21 is needed. To skip the optional OpenAL/libsndfile dependency in libkdegames (not recommended), re-run cmake with -DUSE_OPENAL_SNDFILE=OFF.")
    endif (NOT SNDFILE_WORKS)
endif (SNDFILE_FOUND AND USE_OPENAL_SNDFILE)

message (STATUS "INCLUDES FOR SOUND:  " ${OPENAL_INCLUDE_DIR} " " ${SNDFILE_INCLUDE_DIR})
message (STATUS "LIBRARIES FOR SOUND: " ${OPENAL_LIBRARY} " " ${SNDFILE_LIBRARIES})
include_directories(${OPENAL_INCLUDE_DIR} ${SNDFILE_INCLUDE_DIR})
set(KGAUDIO_LINKLIBS ${OPENAL_LIBRARY} ${SNDFILE_LIBRARIES})
set(KGAUDIO_BACKEND openal)
set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below

configure_file(libkdegames_capabilities.h.in ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h)

########### next target ###############
#if (${KF5Config_VERSION} STRGREATER "5.56.0")
#        add_definitions(-DQT_NO_FOREACH)
#        MESSAGE(STATUS "compile without foreach")
#endif()

set(kdegames_LIB_SRCS
    audio/kgaudioscene-${KGAUDIO_BACKEND}.cpp
    audio/kgsound-${KGAUDIO_BACKEND}.cpp
    audio/virtualfileqt-${KGAUDIO_BACKEND}.cpp
    colorproxy_p.cpp
#   highscore/kconfigrawbackend.cpp
    highscore/khighscore.cpp
    highscore/kscoredialog.cpp
    kgameclock.cpp
    kgamepopupitem.cpp
    kgamerendereditem.cpp
    kgamerenderedobjectitem.cpp
    kgamerendererclient.cpp
    kgamerenderer.cpp
    kgdeclarativeview.cpp
    kgimageprovider.cpp
    kgdifficulty.cpp
    kgtheme.cpp
    kgthemeprovider.cpp
    kgthemeselector.cpp
    kstandardgameaction.cpp
)

add_library(KF5KDEGames SHARED ${kdegames_LIB_SRCS})

generate_export_header(KF5KDEGames BASE_NAME libkdegames EXPORT_MACRO_NAME KDEGAMES_EXPORT DEPRECATED_MACRO_NAME KDE_DEPRECATED)

target_link_libraries(KF5KDEGames
                PRIVATE
                      ${KGAUDIO_LINKLIBS}
                      Qt5::Xml
                      Qt5::Svg
                      Qt5::Quick
                      KF5::Declarative
                      KF5::NewStuff
                      KF5::IconThemes
                      KF5::GuiAddons
                      KF5::Completion
                PUBLIC
                      Qt5::Widgets
                      Qt5::QuickWidgets
                      Qt5::Qml
                      KF5::ConfigCore
                      KF5::I18n
                      KF5::WidgetsAddons
                      KF5::ConfigWidgets
)

target_include_directories(KF5KDEGames INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames;${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames/KDE;${KF5_INCLUDE_INSTALL_DIR}>")

set(KDEGAMES_VERSION 7.2.0)
set(KDEGAMES_SOVERSION 7)

set_target_properties(KF5KDEGames PROPERTIES VERSION   ${KDEGAMES_VERSION}
                                             SOVERSION ${KDEGAMES_SOVERSION}
                                             EXPORT_NAME KF5KDEGames
)

ecm_setup_version(${KDEGAMES_VERSION} VARIABLE_PREFIX KDEGAMES
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdegames_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfigVersion.cmake"
                        SOVERSION ${KDEGAMES_SOVERSION})

set_target_properties(KF5KDEGames PROPERTIES
    VERSION   ${KDEGAMES_VERSION}
    SOVERSION ${KDEGAMES_SOVERSION}
)

install(TARGETS KF5KDEGames EXPORT KF5KDEGamesLibraryDepends
    ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

# NOTE: The libkdegamesprivate target is compiled in this directory, because
# CMake can't cope with exported libraries in two different directories.

set(kdegamesprivate_LIB_SRCS
    libkdegamesprivate/kchatbase.cpp
    libkdegamesprivate/kchatbaseitemdelegate.cpp
    libkdegamesprivate/kchatbasemodel.cpp
    libkdegamesprivate/kgame/kgamechat.cpp
    libkdegamesprivate/kgame/kgame.cpp
    libkdegamesprivate/kgame/kgameerror.cpp
    libkdegamesprivate/kgame/kgameio.cpp
    libkdegamesprivate/kgame/kgamemessage.cpp
    libkdegamesprivate/kgame/kgamenetwork.cpp
    libkdegamesprivate/kgame/kgameproperty.cpp
    libkdegamesprivate/kgame/kgamepropertyhandler.cpp
    libkdegamesprivate/kgame/kgamesequence.cpp
    libkdegamesprivate/kgame/kmessageclient.cpp
    libkdegamesprivate/kgame/kmessageio.cpp
    libkdegamesprivate/kgame/kmessageserver.cpp
    libkdegamesprivate/kgame/kplayer.cpp
    libkdegamesprivate/kgamecanvas.cpp
    libkdegamesprivate/kgamedifficulty.cpp
    libkdegamesprivate/kgamesvgdocument.cpp
    libkdegamesprivate/kgametheme.cpp
    libkdegamesprivate/kgamethemeselector.cpp
)

ki18n_wrap_ui(kdegamesprivate_LIB_SRCS
    libkdegamesprivate/kgamethemeselector.ui
)

add_library(KF5KDEGamesPrivate SHARED ${kdegamesprivate_LIB_SRCS})
generate_export_header(KF5KDEGamesPrivate BASE_NAME libkdegamesprivate EXPORT_MACRO_NAME KDEGAMESPRIVATE_EXPORT DEPRECATED_MACRO_NAME KDE_DEPRECATED)

target_link_libraries(KF5KDEGamesPrivate
                PRIVATE
                      KF5::DNSSD
                      KF5::NewStuff
                      KF5::Archive
                PUBLIC
                      Qt5::Xml
                      Qt5::Network
                      KF5::Completion
                      KF5KDEGames
)

target_include_directories(KF5KDEGamesPrivate INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames/libkdegamesprivate>" )

set_target_properties(KF5KDEGamesPrivate PROPERTIES
    VERSION   1.0.0
    SOVERSION 1
)

install(TARGETS KF5KDEGamesPrivate EXPORT KF5KDEGamesLibraryDepends
    ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES kgthemeprovider-migration.upd
    DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h
    audio/kgaudioscene.h
    audio/kgsound.h
    kgameclock.h
    kgamepopupitem.h
    kgamerendereditem.h
    kgamerenderedobjectitem.h
    kgamerendererclient.h
    kgamerenderer.h
    kgdeclarativeview.h
    kgdifficulty.h
    kgtheme.h
    kgthemeprovider.h
    kgthemeselector.h
    kstandardgameaction.h
DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames COMPONENT Devel)

########### generate exports ###############

# add libraries to the build-tree export set
export(TARGETS KF5KDEGames KF5KDEGamesPrivate
    FILE "${PROJECT_BINARY_DIR}/KF5KDEGamesLibraryDepends.cmake")

# define the installation directory for the CMake files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5KDEGames")

# create the Config.cmake and ConfigVersion.cmake files
configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDEGamesConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

# install the export set for use with the install-tree
install(EXPORT KF5KDEGamesLibraryDepends DESTINATION
    ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)
	
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdegames_version.h  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames  COMPONENT Devel)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES libkdegames.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES libkdegames.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== libkdegamesprivate/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

include(ECMMarkAsTest)

configure_file(config-tests.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-tests.h)

MACRO(LIBKDEGAMESPRIVATE_UNIT_TESTS)
       FOREACH(_testname ${ARGN})
               add_executable(${_testname} ${_testname}.cpp)
               target_link_libraries(${_testname} Qt5::Test KF5KDEGamesPrivate)
	       add_test(NAME libkdegamesprivate-${_testname} COMMAND ${_testname})
               ecm_mark_as_test(${_testname})
       ENDFOREACH(_testname)
ENDMACRO(LIBKDEGAMESPRIVATE_UNIT_TESTS)

LIBKDEGAMESPRIVATE_UNIT_TESTS(
    kgamesvgdocumenttest
    kgamepropertytest
)

=== debian/changelog ===
libkdegames (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
  * Update symbols from Ubuntu build logs.
  * Move qdebug logging file.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 21:31:47 +0000

libkdegames (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - explicitly link in as-needed mode
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Tue, 10 Mar 2020 22:00:13 +0100

libkdegames (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:16:47 +0000

libkdegames (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:25:55 +0000

libkdegames (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:15 +0000

libkdegames (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:53:55 +0000

libkdegames (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)
  * Mark libkf5kdegames-data as 'Multi-Arch: foreign'.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:30 +0000

libkdegames (4:19.08.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
  * Update symbols from Ubuntu build logs.
  * Move qdebug logging file.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 18:05:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.46.0~),
                gettext,
                libkf5archive-dev (>= 5.46.0~),
@@ -42,10 +42,10 @@
                qtdeclarative5-dev (>= 5.9.0~),
                xauth,
                xvfb,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data-kf5
 Architecture: all
@@ -57,6 +57,17 @@
  .
  This package is part of the KDE games module.
 
+Package: libkf5kdegames-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: shared library for KDE games - data files
+ This package contains a shared library used by KDE games.
+ .
+ This package is part of the KDE games module.
+
 Package: libkf5kdegames-dev
 Architecture: any
 Section: libdevel
@@ -64,9 +75,9 @@
          libkf5config-dev,
          libkf5configwidgets-dev,
          libkf5i18n-dev,
-         libkf5widgetsaddons-dev,
          libkf5kdegames7 (= ${binary:Version}),
          libkf5kdegamesprivate1 (= ${binary:Version}),
+         libkf5widgetsaddons-dev,
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),
          ${misc:Depends},
@@ -79,9 +90,9 @@
 Package: libkf5kdegames7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Depends: libkf5kdegames-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:16.04.3-2~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_install:
	dh_auto_install
	# don't install extra license files
	find debian/tmp \( -name AUTHORS -o -name COPYING -o -name COPYRIGHT \) -print -delete

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs l10npkgs_firstversion_ok
	dh_gencontrol -a

## libkdegames 20.08.1

=== debian/changelog ===
libkdegames (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:00:59 +0100

libkdegames (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:44 +0100

libkdegames (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:43:17 +0100

libkdegames (4:20.04.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 14:53:27 +0100

libkdegames (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files with the logs of buildds.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Jun 2020 23:59:06 +0200

libkdegames (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:24:38 +0100

libkdegames (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:41:44 +0100

libkdegames (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
                xauth,
                xvfb,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
